update_state(8)

NAME
update_state - update system state

SYNOPSIS
update_state

DESCRIPTION
update_state updates a bunch of system state. It takes a long time to execute, and would be suitable for execution in a cron job. Currently, update_state performs the following functions: updates the locate database (in /usr/lib/locate),updatesthewhatisdatabase(in /usr/man, /usr/local/man, /usr/X386/man, and /usr/interviews/man), and updates the TeX ls-R cache file (in /usr/lib/texmf).

BUGS
The script expects things to be where the FSSTND says they are. example, if you have makewhatis(8) in /usr/lib, where it would be traditionally, then you lose, because it should be in /usr/bin.

SEE ALSO
cron(8), find(1), locate(1),

AUTHOR
Rik Faith (faith@cs.unc.edu)